<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/transitional.dtd">

<html>

  <head>
    <title>Das @-Zeichen vor Funktionsaufrufen</title>
    <link rel="stylesheet" type="text/css" href="../../src/self.css">
    <meta name="description"    content="Das @-Zeichen vor Funktionsaufrufen">
    <meta name="keywords"       content="Fehler, PHP, Funktionsaufrufen, Zeichen, @, header">
    <meta name="author"         content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
    <meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp3.de">
    <meta name="DC.Date"        content="2003-07-17T16:35:23+02:00">
    <meta name="DC.Identifier"  content="http://www.selfphp.info/fragen_antworten/fehlermeldungen/fehlermeldungen_unterdruecken.php">
    <meta name="DC.Language"    content="de">
    <meta name="DC.Rights"      content="../../editorial/index.html">
    <meta name="SELF.Firstdate" content="2001-08-02T02:08+01:00">
    <meta name="SELF.Version"   content="1">
    <meta name="SELF.Pagetype"  content="Ordner">
    <meta name="SELF.Path"      content="SELFPHP == ../../index.html">
  </head>

  <body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">
    <table width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr> 
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="top" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Fehlermeldungen</b></a></td>
      </tr>
      <tr> 
        <td width="11%" bgcolor="#EEEEEE" class="doc"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SELFPHP"></td>
        <td bgcolor="#EEEEEE" valign="bottom" class="doc"><h2>Das @-Zeichen vor Funktionsaufrufen</h2></td>
        
    <td bgcolor="#EEEEEE" align="right" valign="bottom" class="doc">&nbsp; </td>
      </tr>
      <tr>
        <td bgcolor="#EEEEEE" align="center" valign="top" class="doc"><img src="../../src/dokx.gif" width="30" height="20" border="0" alt="Informationsseite" /></td>
        <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#frage"><b>Frage</b></a><br />
          <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#antwort"><b>Antwort</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="frage" class="an">Frage</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Was bedeutet das @-Zeichen vor Funktionsaufrufen?</td>
      </tr>
    </table>
    <br /><br />
    <table width="100%" class="doc">
      <tr>
        <td><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben" /></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten" /></a></td>
      </tr>
    </table>
    <h2 class="Sh2"><a name="antwort" class="an">Antwort</a></h2>
    <table width="100%" cellpadding="10">
      <tr>
        <td bgcolor="#E4EEFF" class="xmpcode">Das @-Zeichen unterdr&uuml;ckt Fehlermeldungen, die von einigen Funktionsaufrufen bei<br />einem Fehler zum Client gesendet werden. Diese Meldungen sind oftmals sehr st&ouml;rend<br />und k&ouml;nnen sogar in Kombination mit header() zu gravierenden Fehlern f&uuml;hren, da das<br />Skript in diesem Fall mit der unsch&ouml;nen Fehlermeldung <a href="cannot_add_header_information.html">Cannot add header information ...</a><br />abgebrochen wird.<br />Das @ bewirkt, dass die Fehlermeldung nicht ausgegeben und das Skript somit weiter<br />abgearbeitet wird.</td>
      </tr>
    </table>
    <br /><br />
    <table  width="100%" border="0" cellspacing="0" cellpadding="4">
      <tr>
        <td colspan="3" class="doc"><a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a></td>
      </tr>
      <tr>
        <td width="11%" align="right" class="doc">weiter:<a href=""><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href=""><b></b></a></td>
      </tr>
      <tr>
        <td align="right" class="doc">zur&uuml;ck:<a href="cannot_add_header_information.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
        <td colspan="2"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> <a href="cannot_add_header_information.html"><b>Cannot add header information - headers already sent by...</b></a></td>
      </tr>
      <tr>
        <td colspan="3" class="doc">&#160;</td>
      </tr>
      <tr>
        <td bgcolor="#FFEEDD" colspan="3" class="nav"><a name="bottom" class="an"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Fragen &amp; Antworten</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Fehlermeldungen</b></a></td>
      </tr>
      <tr>
        <td colspan="3"><a name="bottom" class="an"><br>&copy; 2001, 2002, 2003</a> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail"> <a href="mailto:mail@selfphp.com">Damir Enseleit, mail@selfphp.com</a>&nbsp;,&nbsp;&nbsp;<a href="http://www.selfphp.info/impressum.html">Impressum</a></td>
      </tr>
    </table>
  </body>

</html>